> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Top Products

> Get Top Products



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/top-products
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/top-products:
    get:
      tags:
        - Trending
      summary: Get Top Products
      description: Get Top Products
      operationId: getApiTrendingTop-products
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
            description: Page
            example: 1
        - in: query
          name: last
          schema:
            type: number
            default: 7
            description: |2-

                      Last in days:
                      - 1: Yesterday
                      - 7: Last 7 days
                      - 30: Last 30 days
                      
            enum:
              - 7
              - 30
              - 120
            example: 7
        - in: query
          name: order_by
          schema:
            type: string
            description: |2-

                      Order by:
                      - post: Popularity
                      - post_change: Popularity change
                      - ctr: CTR
                      - cvr: CVR
                      - cpa: CPA
                      - cost: Cost
                      - like: Like
                      - share: Share
                      - comment: Comment
                      - impression: Impression
                      - play_six_rate: 6s view rate
                    
            enum:
              - post
              - post_change
              - ctr
              - cvr
              - cpa
              - cost
              - like
              - share
              - comment
              - impression
              - play_six_rate
            default: post
            example: post
        - in: query
          name: country_code
          schema:
            type: string
            description: >-
              Country code. Head
              [here](https://gist.githubusercontent.com/apiboxguru/21d1cff1bef7732d9533389cb540541f/raw/6669d1e0025b67e8c7a0a1649cd8c75c5d5d2803/tiktok_trending_support_countries_with_codes.json)
              for a full list of supported countries
            default: US
            example: US
        - in: query
          name: keyword
          schema:
            type: string
            description: Search Keyword
        - in: query
          name: category_id
          schema:
            type: string
            description: |2-

                      Category ID:
                      - 605196: Automotive & Motorbike
                      - 602284: Baby & Maternity
                      - 601450: Beauty & Personal Care
                      - 801928: Books, Magazines & Audio
                      - 951432: Collectibles
                      - 601755: Computers & Office Equipment
                      - 605248: Fashion Accessories
                      - 700437: Food & Beverages
                      - 604453: Furniture
                      - 700645: Health
                      - 604968: Home Improvement
                      - 600001: Home Supplies
                      - 600942: Household Appliances
                      - 953224: Jewellery, Accessories & Derivatives
                      - 802184: Kids Fashion
                      - 600024: Kitchenware
                      - 824584: Luggage & Bags
                      - 824328: Menswear & Men's Underwear
                      - 601303: Muslim Fashion
                      - 602118: Pet Supplies
                      - 601739: Phones & Electronics
                      - 601352: Shoes
                      - 603014: Sports & Outdoor
                      - 600154: Textiles & Soft Furnishings
                      - 604579: Tools & Hardware
                      - 604206: Toys & Hobbies
                      - 834312: Virtual Products
                      - 601152: Womenswear & Women's Underwear
                    
            enum:
              - '605196'
              - '602284'
              - '601450'
              - '801928'
              - '951432'
              - '601755'
              - '605248'
              - '700437'
              - '604453'
              - '700645'
              - '604968'
              - '600001'
              - '600942'
              - '953224'
              - '802184'
              - '600024'
              - '824584'
              - '824328'
              - '601303'
              - '602118'
              - '601739'
              - '601352'
              - '603014'
              - '600154'
              - '604579'
              - '604206'
              - '834312'
              - '601152'
            example: '601739'
        - in: query
          name: week
          schema:
            type: string
            description: ''
            example: '2025-07-06'
        - in: query
          name: month
          schema:
            type: string
            description: ''
            example: 2024-04
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          has_more:
                            type: boolean
                            description: ''
                            example: true
                          page:
                            type: number
                            description: ''
                            example: 1
                          size:
                            type: number
                            description: ''
                            example: 20
                          total_count:
                            type: number
                            description: ''
                            example: 500
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            comment:
                              type: number
                              description: ''
                              example: 72
                            cost:
                              type: number
                              description: ''
                              example: 4660
                            cover_url:
                              type:
                                - string
                                - 'null'
                              description: ''
                              example: null
                            cpa:
                              type: number
                              description: ''
                              example: 3.22
                            ctr:
                              type: number
                              description: ''
                              example: 2.16
                            cvr:
                              type: number
                              description: ''
                              example: 7.76
                            ecom_type:
                              type: string
                              description: ''
                              example: '13'
                            first_ecom_category:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ''
                                  example: '605196'
                                label:
                                  type: string
                                  description: ''
                                  example: category_605196
                                value:
                                  type: string
                                  description: ''
                                  example: Automotive & Motorbike
                            impression:
                              type: number
                              description: ''
                              example: 1740000
                            like:
                              type: number
                              description: ''
                              example: 3004
                            play_six_rate:
                              type: number
                              description: ''
                              example: 8.94
                            post:
                              type: number
                              description: ''
                              example: 123
                            post_change:
                              type: number
                              description: ''
                              example: 2.13
                            second_ecom_category:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ''
                                  example: '940808'
                                label:
                                  type: string
                                  description: ''
                                  example: category_940808
                                parent_id:
                                  type: string
                                  description: ''
                                  example: '605196'
                                value:
                                  type: string
                                  description: ''
                                  example: Vehicle Washing & Maintenance
                            share:
                              type: number
                              description: ''
                              example: 109
                            third_ecom_category:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ''
                                  example: '940808'
                                label:
                                  type: string
                                  description: ''
                                  example: category_940808
                                parent_id:
                                  type: string
                                  description: ''
                                  example: '605196'
                                value:
                                  type: string
                                  description: ''
                                  example: Vehicle Washing & Maintenance
                            url_title:
                              type: string
                              description: ''
                              example: Cleaning-Care-Fluids
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````